package org.richfaces.event;

import javax.faces.component.UIComponent;
import javax.faces.event.PhaseEvent;

public interface RenderPhaseComponentVisitor {

	Object beforeRoot(PhaseEvent event);

	void beforeComponent(UIComponent component, PhaseEvent event, Object state);

	void afterComponent(UIComponent component, PhaseEvent event, Object state);

	void afterRoot(PhaseEvent event, Object state);

}
